commit:     cbb8094c73ece84607c1fbb86501711d4b8a8b9f
Author:     Matthew S. Turnbull <sparky <AT> bluefang-logic <DOT> com>
AuthorDate: Wed Jan 28 05:17:21 2026 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Mar  6 00:40:33 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cbb8094c

gnome-extra/cjs: add 128.1

Signed-off-by: Matthew S. Turnbull <sparky <AT> bluefang-logic.com>
Part-of: https://github.com/gentoo/gentoo/pull/45857
Signed-off-by: Sam James <sam <AT> gentoo.org>

 gnome-extra/cjs/Manifest         |  1 +
 gnome-extra/cjs/cjs-128.1.ebuild | 99 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 100 insertions(+)

diff --git a/gnome-extra/cjs/Manifest b/gnome-extra/cjs/Manifest
index 139b3a9f0b68..8e65353b6f8a 100644
--- a/gnome-extra/cjs/Manifest
+++ b/gnome-extra/cjs/Manifest
@@ -1,2 +1,3 @@
 DIST cjs-128.0.tar.gz 981542 BLAKE2B 
d4b516a8d02fcb297f23f277d8ac12f7cf3c8bf0eec41d22e01ea4ffd3995aedc1b20a173d44c3fc6827e4cb3366c277347fcd11e6362a66d682c47919f84fec
 SHA512 
e7ad28a085788f05bc40dd8a86799c068e54e25d7ed349a610a8935c9de3bc556b72e4b7b2c158f84a4a62a4b10789a3b812ca9e3ae2b3e1b1db471e91ddee97
+DIST cjs-128.1.tar.gz 984034 BLAKE2B 
4b6d0c4d5bb92e8862f0f3ad5703bac5181a68bfc0e3f4167da039d46e4f065d91b49b5345dc97a8b4f991575b6c15a703c36722f4bb47c59b3182263700b18f
 SHA512 
41aff6bfbd64cec59a64eb49c8913637dd0a482316e6b138f3e3ebef071d2668847f0988d2c6bedd7eec394f538c78683d4c9aacb81f95d198722a0e597611aa
 DIST cjs-6.4.0.tar.gz 874506 BLAKE2B 
7cedfa8c9c3b53b417cbe6cebc335cb9ca056c6d98cb6c0abc03db5da678f275ff73b867b4c85289797c4701fe1f4dc10aa257eaa55b97824d9e4bebe61eadeb
 SHA512 
525f19f7a5fba642b9d98ca29406d6663ca029d0f92d177bb10ffb68f03843085b86dfc623ef49ceada01dacb64e03742f16e9d7e2fb86a3cc67c25b6de4a616

diff --git a/gnome-extra/cjs/cjs-128.1.ebuild b/gnome-extra/cjs/cjs-128.1.ebuild
new file mode 100644
index 000000000000..1a7a816b9408
--- /dev/null
+++ b/gnome-extra/cjs/cjs-128.1.ebuild
@@ -0,0 +1,99 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{11..14} )
+
+inherit flag-o-matic meson pax-utils python-any-r1 virtualx
+
+DESCRIPTION="Linux Mint's fork of gjs for Cinnamon"
+HOMEPAGE="https://projects.linuxmint.com/cinnamon/ 
https://github.com/linuxmint/cjs";
+SRC_URI="https://github.com/linuxmint/cjs/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD CC0-1.0 MIT MPL-2.0 || ( MPL-1.1 GPL-2+ LGPL-2.1+ )"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~loong ~ppc64 ~riscv ~x86"
+IUSE="examples readline sysprof test"
+
+RDEPEND="
+       dev-lang/spidermonkey:$(ver_cut 1)
+       >=dev-libs/glib-2.66.0:2
+       >=dev-libs/gobject-introspection-1.82.0-r2:=
+       >=dev-libs/libffi-3.3:0=
+       x11-libs/cairo[glib,svg(+),X]
+       x11-libs/libX11
+
+       examples? (
+               x11-themes/xapp-symbolic-icon-theme
+       )
+
+       readline? (
+               sys-libs/readline:0=
+       )
+"
+DEPEND="
+       ${RDEPEND}
+
+       sysprof? (
+               >=dev-util/sysprof-capture-3.40.1:4
+       )
+
+       test? (
+               sys-apps/dbus
+               x11-libs/gtk+:3[introspection]
+       )
+"
+BDEPEND="
+       ${PYTHON_DEPS}
+       virtual/pkgconfig
+"
+
+src_prepare() {
+       default
+       python_fix_shebang build
+}
+
+src_configure() {
+       append-cppflags -DG_DISABLE_CAST_CHECKS
+
+       # On musl, it's required that either gjs, pixman or gnome-shell to be 
built
+       # with a larger stack otherwise librsvg fails to render a particular 
SVG, as
+       # a result we fail to get gdm or gnome-shell running (greeted with a 
fail
+       # whale screen). The bug has been reported to librsvg. This is ideally 
just
+       # a temporary workaround until we understand what exactly needs a larger
+       # stack size, as it's not sufficient to do just librsvg.
+       #
+       # Please refer to:
+       # https://gitlab.gnome.org/GNOME/librsvg/-/issues/686
+       # https://gitlab.gnome.org/GNOME/librsvg/-/issues/874
+       #
+       # TODO: Find an actual fix instead of increasing the stack
+       use elibc_musl && append-ldflags -Wl,-z,stack-size=2097152
+
+       local emesonargs=(
+               $(meson_feature readline)
+               $(meson_feature sysprof profiler)
+               -Dinstalled_tests=false
+               -Dgobject-introspection-tests:install_dir=''
+               $(meson_use !test skip_dbus_tests)
+               $(meson_use !test skip_gtk_tests)
+       )
+       meson_src_configure
+}
+
+src_test() {
+       virtx meson_src_test
+}
+
+src_install() {
+       meson_src_install
+
+       if use examples; then
+               docinto examples
+               dodoc "${S}"/examples/*
+       fi
+
+       # Required for cjs-console to run correctly on PaX systems
+       pax-mark mr "${ED}/usr/bin/cjs-console"
+}

Reply via email to